@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");

:root {
  --header-height: 3rem;
  --font-semi: 600;
  --font-bold: 700;
}

:root {
  --first-color: #e55947;
  --first-color-alt: #d2321e;
  --white-color: #fafaff;
  --dark-color: #101010;
  --dark-color-light: #606060;
  --gray-color: #f0f1f3;
}

:root {
  --primaryColor: #e55947;
  --mainWhite: #fff;
  --mainBlack: #222;
  --mainGrey: #ececec;
  --mainSpacing: 0.1rem;
  --mainTransition: all 0.3s linear;
}

:root {
  --body-font: "Open Sans", sans-serif;
  --big-font-size: 3rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.75rem;
}

@media screen and (min-width: 768px) {
  :root {
    --body-font: "Open Sans", sans-serif;
    --big-font-size: 6rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --normal-font-size: 1rem;
    --small-font-size: 0.813rem;
  }
}

:root {
  --mb-1: 0.5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
}

:root {
  --z-tooltip: 10;
  --z-fixed: 100;
}

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--dark-color);
  line-height: 1.6;
}

.logo {
  width: 55px;
  height: 55px;
  margin-top: 5px;
}

h1,
h2,
p {
  margin: 0;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
  color: var(--dark-color);
}

img {
  max-width: 100%;
  height: auto;
}

.section {
  padding: 3rem;
}

.section-title {
  font-size: var(--h2-font-size);
  color: var(--dark-color);
  margin: var(--mb-4) 0 var(--mb-1);
  text-align: center;
}

.section-all {
  display: block;
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  color: var(--dark-color-light);
  text-align: center;
  margin-bottom: var(--mb-2);
  color: var(--first-color);
  text-decoration: underline;
}

.section-all:hover {
  color: var(--first-color-alt);
  transition: 0.2s;
}

.bd-grid {
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 3rem);
  margin-left: var(--mb-3);
  margin-right: var(--mb-3);
}

.l-header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--gray-color);
}

.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.banner-btn {
  padding: 1rem;
  text-transform: uppercase;
  letter-spacing: var(--mainSpacing);
  font-size: 1rem;
  background: var(--primaryColor);
  color: var(--mainBlack);
  border: 1px solid var(--primaryColor);
  transition: var(--mainTransition);
  cursor: pointer;
  margin-left: 30px;
}
.banner-btn:hover {
  background: transparent;
  color: var(--primaryColor);
}

@media screen and (max-width: 768px) {
  .logo {
    width: 45px;
    height: 45px;
    margin-top: 5px;
  }
  .nav__menu {
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 80%;
    height: 100%;
    padding: 2rem;
    background-color: var(--white-color);
    transition: 0.5s;
  }
}

.nav__item {
  margin-bottom: var(--mb-4);
}

.nav__link {
  color: var(--dark-color);
  font-weight: var(--font-semi);
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__logo {
  font-weight: var(--font-bold);
}

.nav__cart {
  font-size: 1.5rem;
  margin-right: var(--mb-2);
}

.nav__toggle {
  font-size: 1.5rem;
  cursor: pointer;
}

/*SHOW MENU*/
.show {
  right: 0;
}

.active {
  color: var(--first-color);
}

.home {
  background-color: var(--gray-color);
}

.home__container {
  height: calc(100vh - var(--header-height));
}

.home__data {
  padding-top: 6rem;
}

.home__title {
  align-self: center;
  font-size: var(--big-font-size);
  line-height: 1;
  letter-spacing: 0.5rem;
  margin-bottom: 4rem;
}

.desc {
  margin-top: -40px;
  align-self: center;
  margin-left: 50px;
  line-height: 1;
  letter-spacing: 0.5rem;
  margin-bottom: 3rem;
}

.home__title span {
  font-size: 3px;
}

.home__img {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 260px;
}

.button {
  display: inline-block;
  background-color: var(--first-color);
  color: var(--white-color);
  padding: 1rem;
  font-size: var(--small-font-size);
  font-weight: var(--font-semi);
  transition: 0.3s;
  margin-left: 40px;
  margin-top: -100px;
}

.button:hover {
  background: transparent;
  color: var(--first-color-alt);
  border: 1px solid var(--first-color-alt);
}

.collection__container {
  row-gap: 2rem;
}

.collection__box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1.5rem;
  background-color: var(--gray-color);
  transition: 0.3s;
}

.collection__box:hover {
  transform: translateY(-0.5rem);
}

.collection__img {
  width: 100px;
}

.collection__title {
  font-size: var(--h1-font-size);
  line-height: 1.2;
  margin-bottom: var(--mb-2);
  text-transform: uppercase;
  font-weight: var(--font-semi);
}

.collection__subtitle {
  font-size: var(--h2-font-size);
  color: var(--dark-color-light);
}

.collection__view {
  font-size: var(--small-font-size);
  color: var(--dark-color-light);
}

.collection_view:hover {
  text-decoration: underline;
}

.featured__container {
  row-gap: 2rem;
}

.featured__product {
  transition: 0.3s;
}

.featured__product:hover {
  transform: translateY(-0.5rem);
}

.featured__box {
  position: relative;
  display: flex;
  justify-content: center;
  background-color: var(--gray-color);
}

.featured__new {
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--first-color);
  color: var(--white-color);
  padding: 0.3rem 0.75rem;
  font-size: var(--small-font-size);
}

.featured__data {
  text-align: center;
}

.featured__name {
  margin-bottom: var(--mb-1);
  text-transform: uppercase;
  font-size: var(--normal-font-size);
}

.featured__price {
  color: var(--dark-color-light);
  font-weight: var(--font-semi);
}

.footer {
  background-color: var(--dark-color);
  color: var(--white-color);
}

.footer__container {
  row-gap: 1.5rem;
  margin-bottom: var(--mb-4);
}

.footer__title {
  margin-bottom: var(--mb-1);
}

.footer__deal {
  margin-bottom: var(--mb-2);
}

.footer__store {
  width: 100px;
}

.footer__link,
.footer__social {
  color: var(--dark-color-light);
}

.footer__link:hover {
  text-decoration: underline;
}

.footer__social {
  font-size: 1.3rem;
  margin-right: var(--mb-1);
}

.footer__copy {
  border-top: 1px solid var(--dark-color-light);
  padding-top: 3rem;
  text-align: center;
  color: var(--dark-color-light);
  font-size: var(--small-font-size);
}

@media screen and (min-width: 768px) {
  body {
    margin: 0;
  }

  .section-all {
    margin-bottom: var(--mb-4);
  }

  .nav {
    height: calc(var(--header-height) + 1rem);
    justify-content: initial;
  }

  .nav__menu {
    margin-left: auto;
  }

  .nav__list {
    display: flex;
  }

  .nav__item {
    margin-left: var(--mb-4);
    margin-bottom: 0;
  }
  .nav__toggle {
    display: none;
  }

  .home__container {
    height: 100vh;
  }
  .home__data {
    padding: 0;
    height: max-content;
    align-self: center;
  }
  .home__title {
    line-height: 0.8;
    letter-spacing: 1.5rem;
  }

  .desc {
    margin-left: 50px;
    line-height: 1;
    letter-spacing: 0.5rem;
    margin-bottom: 3rem;
  }

  .home__img {
    width: 370px;
  }

  .collection__container {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr;
  }

  .collection__box {
    padding: 0.5rem 3rem 0;
  }

  .collection__img {
    width: 130px;
  }

  .featured__container {
    grid-template-columns: repeat(4, 1fr);
  }

  .footer__container {
    padding: 2rem 0;
  }
}

@media screen and (min-width: 1024px) {
  .bd-grid {
    margin-left: auto;
    margin-right: auto;
  }

  .home__data {
    padding-left: 7rem;
  }

  .home__img {
    right: 15%;
  }
}
